cd "D:\Desktop\jjll\数据和代码" //请在引号内填入本代码所在的磁盘位置
clear all
exit

cap log close _all
log using final_version, replace

*===============================*
**# 1. 数据描述
*===============================*

*** 地级市
use "regdata_city.dta",clear
sum nontax1 nontax2 nontax2_delta nontax3 pttax pttax_nc pntax dpttax pvat peit pgdp density urban indus fiscal soe admin target land ntsp ntfn ntad ntse law afmpa adtnum mnyofi

*** 县域
use "regdata_county.dta",clear
sum nontax1 nontax2 VAT pgdp density urban indus fiscal soe zhiguan kuoquan

*===============================*
**# 2. 回归分析
*===============================*

global Control_city "pgdp density urban indus fiscal pntax soe"
global Control_county "pgdp density urban indus fiscal soe" //pntax只有2005年后有数据，回归时手动添加
global Est_option "b(%12.4f) se(%12.4f) nogap compress stats(N r2_a,fmt(%9.0g %9.4f)) star(* 0.10 ** 0.05 *** 0.01) replace"

*=================*
** 2.1 基准回归   *
*=================*

*** 税收分成
use "regdata_city.dta",clear
eststo clear
eststo: reghdfe nontax1 pttax, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe nontax1 pttax $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe nontax2 pttax, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe nontax2 pttax $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
esttab using "base.rtf", $Est_option

*** 工具变量
use "regdata_city.dta",clear
keep if year>2005
eststo clear
eststo: reghdfe pttax pttax_nc, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe pttax pttax_nc $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
eststo: ivreghdfe nontax1 $Control_city (pttax = pttax_nc), ab(ctnm_id year) cl(ctnm_id)
eststo: ivreghdfe nontax2 $Control_city (pttax = pttax_nc), ab(ctnm_id year) cl(ctnm_id)
esttab using "iv.rtf", $Est_option

*** 基于县级数据
use "regdata_county.dta",clear
eststo clear
eststo: reghdfe nontax1 VAT $Control_county, ab(code year) vce(cl city_code)
eststo: reghdfe nontax1 VAT $Control_county zhiguan kuoquan, ab(code year) vce(cl city_code)
eststo: reghdfe nontax2 VAT $Control_county, ab(code year) vce(cl city_code)
eststo: reghdfe nontax2 VAT $Control_county zhiguan kuoquan, ab(code year) vce(cl city_code)
esttab using "robust1.rtf", $Est_option

*=================*
** 2.2 稳健性讨论 *
*=================*

*** 替换变量
use "regdata_city.dta",clear
eststo clear
eststo: reghdfe nontax2_delta pttax $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe nontax3 pttax $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe nontax1 pvat $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe nontax1 peit $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe nontax1 dpttax $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe nontax2 pvat $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe nontax2 peit $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe nontax2 dpttax $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
esttab using "robust2.rtf", $Est_option

*** 其他稳健性
use "regdata_city.dta",clear
eststo clear
eststo: reghdfe nontax1 pttax $Control_city target, ab(ctnm_id year) vce(cl ctnm_id)  //控制财政收入目标
eststo: reghdfe nontax1 pttax $Control_city land, ab(ctnm_id year) vce(cl ctnm_id) //控制土地出让金
eststo: reghdfe nontax1 pttax $Control_city, ab(ctnm_id year) vce(cl provcode) //聚类到省级层面
eststo: reghdfe nontax2 pttax $Control_city target, ab(ctnm_id year) vce(cl ctnm_id)  //控制财政收入目标
eststo: reghdfe nontax2 pttax $Control_city land, ab(ctnm_id year) vce(cl ctnm_id) //控制土地出让金
eststo: reghdfe nontax2 pttax $Control_city, ab(ctnm_id year) vce(cl provcode) //聚类到省级层面
esttab using "robust3.rtf", $Est_option

*=================*
** 2.3 拓展讨论 *
*=================*

***国有化水平分组
use "regdata_city.dta", clear
bys year: egen z = mean(soe)
replace z = (z < soe)
eststo clear
eststo: reghdfe nontax1 pttax $Control_city if z==0, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe nontax1 pttax $Control_city if z==1, ab(ctnm_id year) vce(cl ctnm_id)

*** 非税政策个数分组
use "regdata_city.dta", clear
bys year: egen z = mean(admin)
replace z = (z < admin)
eststo: reghdfe nontax1 pttax $Control_city if z==0, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe nontax1 pttax $Control_city if z==1, ab(ctnm_id year) vce(cl ctnm_id)
esttab using "more1.rtf", $Est_option

*** 小口径非税
use "regdata_city.dta",clear
eststo clear
eststo: reghdfe ntsp pttax $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe ntfn pttax $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe ntad pttax $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe ntse pttax $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
esttab using "more2.rtf", $Est_option

*** 审计、法制化与非税收入
clear all
use "regdata_city.dta",clear
eststo clear
eststo: reghdfe afmpa nontax1 gdp reve popu tenure, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe afmpa nontax2 gdp reve popu tenure, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe nontax1 c.pttax##c.mnyofi $Control_city, ab(ctnm_id year) vce(cl ctnm_id) 
eststo: reghdfe nontax1 c.pttax##c.law $Control_city, ab(ctnm_id year) vce(cl ctnm_id) 
eststo: reghdfe nontax2 c.pttax##c.mnyofi $Control_city, ab(ctnm_id year) vce(cl ctnm_id)
eststo: reghdfe nontax2 c.pttax##c.law $Control_city, ab(ctnm_id year) vce(cl ctnm_id) 
esttab using "more3.rtf", $Est_option

log close _all